%define hal_version 0.5.4
Summary: The GNOME Volume Manager
Name: gnome-volume-manager
Version: 2.17.0
Release: %mkrel 3
License: GPL
URL: http://www.gnome.org/
Group: Graphical desktop/GNOME
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: gnome-cdda-handler
Source2: cdda-url-handler.schemas
# (fc) 1.0.3-1mdk use dynamic script to start apps
Patch0: gnome-volume-manager-2.17.0-dynamic.patch
# (fc) 1.0.3-3mdk respect storage.automount_enabled_hint and storage.policy.should_mount HAL properties 
Patch1: gnome-volume-manager-2.15.0-hint.patch
# (fc) 1.5.15-1mdk don't set sync mount option
Patch2: gnome-volume-manager-1.5.15-nosync.patch
# (fc) 1.5.11-1mdk really unmount all devices when exiting
Patch3: gnome-volume-manager-1.5.11-unmount.patch
# (fc) 1.5.15-4mdv enable SM connection
Patch4:	gnome-volume-manager-1.5.15-enablesm.patch
# (fc) 2.15.0-2mdv fix console detection (Fedora)
Patch5: gnome-volume-manager-2.17.0-fixconsole.patch
# (fc) 2.17.0-2mdv disable automount when screensaver is running (Fedora)
Patch6: gnome-volume-manager-2.15.0-check-screensaver.patch
# (fc) 2.17.0-2mdv fix potential dbus crash (SVN)
Patch7: gnome-volume-manager-2.17.0-fixdbuscrash.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: hal-devel >= %hal_version
BuildRequires: libnotify-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: autoconf2.5
Requires: gnome-mount
Requires: dynamic >= 0.23
Obsoletes: magicdev
Provides: magicdev

%description
The GNOME Volume Manager monitors volume-related events and responds with
user-specified policy.  The GNOME Volume Manager can automount hot-plugged
drives, automount inserted removable media, autorun programs, automatically
play audio CDs and video DVDs, and automatically import photos from a digital
camera.  The GNOME Volume Manager does this entirely in user-space and without
polling.

The GNOME Volume Manager sits at the top end of a larger picture that aims to
integrate the Linux system from the kernel on up through the desktop and its
applications.

%prep
%setup -q
%patch0 -p1 -b .dynamic
%patch1 -p1 -b .hint
%patch2 -p1 -b .nosync
%patch3 -p1 -b .unmount
%patch4 -p1 -b .enablesm
%patch5 -p1 -b .fixconsole
%patch6 -p1 -b .check-screensaver
%patch7 -p1 -b .fixdbuscrash

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/gnome-volume-properties"\
	needs="x11"\
	section="System/Configuration/Hardware"\
	icon="hardware_section.png"\
	title="Removable Storage"\
	longtitle="Configure Management of Removable Devices" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --add-category="HardwareSettings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


cat << EOF > $RPM_BUILD_ROOT%{_bindir}/magicdev
#!/bin/sh
#
# This is a compatibility wrapper script to start gnome-volume-manager
# for users who previously used magicdev.  This script will be invoked
# automatically by the session manager until the user saves his/her
# session.
exec gnome-volume-manager $*
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/magicdev

install -d $RPM_BUILD_ROOT%{_libdir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/gnome-cdda-handler
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/cdda-url-handler.schemas

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas gnome-volume-manager cdda-url-handler
%post
%update_menus
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README TODO
%{_bindir}/*
%{_datadir}/gnome-volume-manager
%{_datadir}/applications/*
%{_sysconfdir}/gconf/schemas/cdda-url-handler.schemas
%{_sysconfdir}/gconf/schemas/gnome-volume-manager.schemas
%{_datadir}/gnome/autostart/*
%_menudir/%name


%changelog
* Fri Mar 09 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.0-3mdv2007.1
+ Revision: 138945
-Update patch0 to enable blank CD detection and use n-c-b / serpentine (Mdv bug #29285)
- Update patch5 with new fedora version (disable g-v-m when user doesn't have console privilege)
- Patch6 (Fedora) : disable automount if screensaver is running
- Patch7 (SVN): fix potential dbus crash
- Add missing categories for gnome control center

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.0-2mdv2007.1
+ Revision: 87923
- bot rebuild
- new version
- unpack patches
- disable patch 5
- Import gnome-volume-manager



* Tue Sep 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.0-3mdv2007.0
- Move menu try to GNOME configuration

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.0-2mdv2007.0
- Patch5 (CVS): fix console detection

* Tue Aug  1 2006 Gtz Waschk <waschk@mandriva.org> 2.15.0-1mdv2007.0
- drop patches 5,6,7,8
- rediff patch 1
- New release 2.15.0

* Mon Jun 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.15-6mdv2007.0
- Use new macros (fix mdv bug #22623)

* Fri Jun 16 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.15-5mdv2007.0
- Add source1,2 :cdda handler, allowing to start audio CD application to start
  when double-clicking on audio cd icon in nautilus (Fedora)
- Patch5 (CVS): change dir to mounted media before executing scripts
- Patch6 (CVS): don't show low disk notificaton on read-only volume
- Patch7 (CVS): ignore mount status for volume mounted by other
- Patch8 (CVS): add noexec for vfat, noatime for udf

* Thu Jun 08 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.15-4mdv2007.0
- Patch4: enable connection to session manager

* Sun May 21 2006 Gtz Waschk <waschk@mandriva.org> 1.5.15-3mdk
- depend on gnome-mount

* Sun May 21 2006 Gtz Waschk <waschk@mandriva.org> 1.5.15-2mdk
- fix buildrequires

* Fri May 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.15-1mdk
- Release 1.5.15
- Patch2: don't set sync mount option
- Patch3: really unmount all devices when exiting
- Regenerate patch1

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.9-2mdk
- Rebuild with latest dbus

* Fri Jan 13 2006 Gtz Waschk <waschk@mandriva.org> 1.5.9-1mdk
- New release 1.5.9

* Fri Jan 06 2006 Götz Waschk <waschk@mandriva.org> 1.5.8-1mdk
- New release 1.5.8
- drop patch 2
- update patch 0

* Mon Dec 12 2005 Frederic Crozat <fcrozat@mandriva.com> 1.5.5-2mdk
- Patch2: use good API for HAL mount

* Thu Dec  8 2005 Gtz Waschk <waschk@mandriva.org> 1.5.5-1mdk
- update patch 1
- drop patch 2
- New release 1.5.5
- use mkrel

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 1.5.4-3mdk
- Patch2: disable pmount

* Sun Nov  6 2005 Gtz Waschk <waschk@mandriva.org> 1.5.4-2mdk
- depend on pmount

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 1.5.4-1mdk
- New release 1.5.4

* Thu Oct 27 2005 Frederic Crozat <fcrozat@mandriva.com> 1.5.3-1mdk
- Release 1.5.3
- Regenerate patches 0, 1
- Remove patches 2 (no longer needed)

* Tue Sep 20 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-2mdk 
- Patch2: fix autorun message (Mdk bug #18731)

* Wed May 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- New release 1.2.2

* Mon Apr 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.1-1mdk 
- Release 1.2.1 (based on Gtz Waschk package)
- Regenerate patches 0 & 1 (partially merged)

* Mon Apr 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-6mdk 
- Fix parameter when calling digicam script (Mdk bug #15046)

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-5mdk 
- Update patch1 to respect storage.automount_enabled_hint and storage.policy.should_mount HAL properties (Mdk bug #15088)

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk 
- Change menu location
- Obsoletes magicdev

* Tue Feb 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk 
- Patch1 (CVS): correctly handled removables devices (usb key...)
- Remove unneeded dependencies

* Fri Feb 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk 
- Patch0 : use dynamic scripts to start apps

* Tue Feb  1 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- New release 1.0.3

* Sun Oct 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-3mdk
- fix gconf script

* Mon Sep 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-2mdk
- add menu entry for gnome-volume-properties

* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- bump hal dep
- New release 1.0.2

* Fri Sep 10 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- New release 1.0.1

* Tue Aug 31 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.10-1mdk
- New release 0.9.10

* Mon Aug 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- New release 0.9.9

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- New release 0.9.2
- Uninstall schema when uninstall package

* Fri Apr  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- new version

* Thu Apr  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- new version

* Fri Jan 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Fix buildrequires :)
- Fix url

* Wed Jan 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- fix buildrequires
- fix build

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Initial Mdk package (based on Robert Love package)
